<ion-header>
  <ion-toolbar>
    <ion-title>Creating new Admin</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content fullscreen class="ion-padding"  >
  <ion-list class="justify-content-center">
		<ion-radio-group allow-empty-selection="false" (ionChange)="checkType($event)">
		  <div class="radioBtn">
		  <ion-item>
			<ion-label>Такси</ion-label>
			<ion-radio slot="start" value="taksi" checked></ion-radio>
		  </ion-item>
		  <ion-item>
			<ion-label>Админ</ion-label>
			<ion-radio slot="start" value="admin"></ion-radio>
		  </ion-item>
		</div>
		</ion-radio-group>
	</ion-list>
      <div *ngIf = "isAdmin" >
        <ion-grid fixed>
          <ion-row>
            <ion-col size="12" align-self-center>
              <form padding-rightclass="form" [formGroup]="validations_form"
                    (ngSubmit)="tryRegister(validations_form.value)" >
        
              <ion-item>
                <ion-label position="floating" color="primary">Name</ion-label>
                <ion-input type="text" formControlName="name"> </ion-input>
              </ion-item>
  
              <ion-item>
                <ion-label position="floating" color="primary">Surname</ion-label>
                <ion-input type="text" formControlName="surname"> </ion-input>
              </ion-item>

              <ion-item>
                <ion-label position="floating" color="primary">Admin nick name</ion-label>
                <ion-input type="text" formControlName="nickname"> </ion-input>
              </ion-item>
              <ion-item>
                <ion-label position="floating" color="primary">Email</ion-label>
                <ion-input type="text" formControlName="email"></ion-input>
              </ion-item>
              <div class="validation-errors">
                <ng-container *ngFor="let validation of validation_messages.email">
                  <div class="error-message" *ngIf="validations_form.get('email').hasError(validation.type) &&
                      (validations_form.get('email').dirty || validations_form.get('email').touched )">
                    {{validation.message}}</div>
                </ng-container>
              </div>
              <ion-item>
                <ion-label position="floating" color="primary"> Password </ion-label>
                <ion-input type="password" formControlName="password"></ion-input>
              </ion-item>
              <div class="validation-errors">
                <ng-container *ngFor="let validation of validation_messages.password">
                  <div class="error-message" *ngIf="validations_form.get('password').hasError(validation.type)
                      && (validations_form.get('password').dirty || validations_form.get('password').touched)">
                    {{validation.message}}
                  </div>
                </ng-container>
              </div>
              <div style="display: flex; padding: 0.75rem;" class=" row justify-content-center align-items-center">
                <button type="button"  [routerLink]="['/admin-page',adminNick]" class="btn btn-outline-primary">Cancel</button>
                <button type="button" type="submit" 
                [disabled]="!validations_form.valid"
                 class=" submit-btn btn btn-outline-success"
                 style="margin-left: 1rem;">Register</button>
              </div>
              <label class="error-message">{{errorMessage}}</label>
              <label class="success-message">{{successMessage}}</label>
              </form>
            </ion-col>
          </ion-row>
        </ion-grid>
      </div>


      <div *ngIf= "isTaksi" >
        <ion-grid fixed>
          <ion-row>
            <ion-col size="12" align-self-center>
              <form padding-rightclass="form" [formGroup]="validations_form_taksi"
                    (ngSubmit)="tryRegister(validations_form_taksi.value)" >
        
              <ion-item>
                <ion-label position="floating" color="primary">Имя таксиста</ion-label>
                <ion-input type="text" formControlName="name"> </ion-input>
              </ion-item>
  
              <ion-item>
                <ion-label position="floating" color="primary">Машина</ion-label>
                <ion-input type="text" formControlName="carModel"> </ion-input>
              </ion-item>

              <ion-item>
                <ion-label position="floating" color="primary">Округ</ion-label>
                <ion-input type="text" formControlName="location"> </ion-input>
              </ion-item>

              <ion-item>
                <ion-label position="floating" color="primary">Обычный такси</ion-label>
                <ion-input type="text" formControlName="isTaksist" placeholder="true or false"></ion-input>
              </ion-item>

              <ion-item>
                <ion-label position="floating" color="primary">Номер телефона</ion-label>
                <ion-input type="text" formControlName="contactNumber"> </ion-input>
              </ion-item>

              <ion-item>
                <ion-label position="floating" color="primary">Email</ion-label>
                <ion-input type="text" formControlName="email"></ion-input>
              </ion-item>
              <div class="validation-errors">
                <ng-container *ngFor="let validation of validation_messages.email">
                  <div class="error-message" *ngIf="validations_form.get('email').hasError(validation.type) &&
                      (validations_form.get('email').dirty || validations_form.get('email').touched )">
                    {{validation.message}}</div>
                </ng-container>
              </div>
              <ion-item>
                <ion-label position="floating" color="primary"> Password </ion-label>
                <ion-input type="password" formControlName="password"></ion-input>
              </ion-item>
              <div class="validation-errors">
                <ng-container *ngFor="let validation of validation_messages.password">
                  <div class="error-message" *ngIf="validations_form.get('password').hasError(validation.type)
                      && (validations_form.get('password').dirty || validations_form.get('password').touched)">
                    {{validation.message}}
                  </div>
                </ng-container>
              </div>

              <div style="display: flex; padding: 0.75rem;" class=" row justify-content-center align-items-center">
                <button type="button"  [routerLink]="['/admin-page',adminNick]" class="btn btn-outline-primary">Cancel</button>
                <button type="button" type="submit" 
                [disabled]="!validations_form_taksi.valid"
                 class=" submit-btn btn btn-outline-success"
                 style="margin-left: 1rem;">Register</button>
              </div>
              <label class="error-message">{{errorMessage}}</label>
              <label class="success-message">{{successMessage}}</label>
              </form>
            </ion-col>
          </ion-row>
        </ion-grid>
      </div>      
</ion-content>